This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 165537 - Review Request: athcool - enabling/disabling Powersaving mode for AMD processors
Review Request: athcool - enabling/disabling Powersaving mode for AMD processors
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
David Lawrence
http://members.jcom.home.ne.jp/jacobi...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-10 05:59 EDT by Dawid Gajownik
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-18 05:52:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dawid Gajownik 2005-08-10 05:59:31 EDT
Spec Name or Url: http://80.55.221.90/~gajownik/linux/RPMS/athcool/athcool.spec
SRPM Name or Url: http://80.55.221.90/~gajownik/linux/RPMS/athcool/athcool-0.3.11-1.src.rpm
sha1sum: http://80.55.221.90/~gajownik/linux/RPMS/athcool/sha1sum
Description:
athcool is a small utility, enabling/disabling Powersaving mode
for AMD Athlon/Duron processors.

Since enabling Powersaving mode, you can save power consumption,
lower CPU temprature when CPU is idle.

Powersaving works if your kernel support ACPI (APM not work),
because athcool only set/unset "Disconnect enable when STPGNT detected"
bits in the Northbridge of Chipset.
To really save power, someone has to send the STPGNT signal when idle.
This is done by the ACPI subsystem when C2 state entered.

!!!WARNING!!!
Depending on your motherboard and/or hardware components,
enabling powersaving mode may cause that:

 * noisy or distorted sound playback
 * a slowdown in harddisk performance
 * system locks or instability
 * massive filesystem corruption (rare, but observed at least once)

If you met those problems, you should not use athcool.
Please use athcool AT YOUR OWN RISK.
Comment 1 Ed Hill 2005-08-10 09:01:11 EDT
Hi Dawid, this is a small and very nicely done RPM.  Welcome to Fedora 
Extras!

Heres the review notes:

a suggestion:
 - Would you be willing to change the Summary to 
   "Enables/disables Powersaving mode for AMD processors" ?

good:
 - specfile is very easy to read
 - rpmlint OK
 - spec and package naming OK
 - source matches upstream
 - license is GPL and included in %doc
 - builds in mock on FC-4
 - all dirs are owned
 - code not content
 - scriptlets look good

and everything else looks good.  I didn't try running the package since 
the only Athlon I have handy is a backup machine and I'd be very sad if 
it had any filesystem corruption (and, yes, I realize that its a very 
small risk).
Comment 2 Dawid Gajownik 2005-08-10 16:38:17 EDT
(In reply to comment #1)
> Welcome to Fedora Extras!

Thanks for sponsoring me and for warm welcome! Looking at fedora-extras-maling
list, I thought that it would take much longer to get a package review.

>  - Would you be willing to change the Summary to 
>    "Enables/disables Powersaving mode for AMD processors" ?

Shure, done. My English is not really brilliant so I make lots of stupid mistakes ;)
 
> and everything else looks good.  I didn't try running the package since 
> the only Athlon I have handy is a backup machine and I'd be very sad if 
> it had any filesystem corruption (and, yes, I realize that its a very 
> small risk).

No risk, no fun ;]

Here are updated files:
http://80.55.221.90/~gajownik/linux/RPMS/athcool/athcool-0.3.11-2.src.rpm
http://80.55.221.90/~gajownik/linux/RPMS/athcool/athcool.spec
http://80.55.221.90/~gajownik/linux/RPMS/athcool/sha1sum
Comment 3 Ed Hill 2005-08-10 17:33:44 EDT
Ha!  English is my native tongue but it doesn't prevent me from making
lots of grammar/spelling mistakes in it.  And your english is *much* 
better than any of the non-native languages that I struggle (and mostly
fail) to understand!  ;-)

So, I think you're all set now.  I've APPROVED this package and sponsored 
you for CVS access.  So all you have to do is get the FE paperwork finalized, 
get the "cert" for CVS access, and follow the directions at:

  http://fedoraproject.org/wiki/Extras/NewPackageProcessMarkTwo
  http://fedoraproject.org/wiki/Extras/UsingCvsFaq

If you have any problems with any of the above steps please send me an 
email and I'll do what I can to help.

And, if you want, I can import your SRPM into CVS before your paperwork 
is done.  But it doesn't speed things up much since you'll still need 
CVS access for any changes, build requests, etc.

And again, welcome to FE!  ;-)
Comment 4 Dawid Gajownik 2005-08-11 09:07:12 EDT
(In reply to comment #3)
> English is my native tongue

So feel free to correct me when I butcher English language :D

> If you have any problems with any of the above steps please send me an 
> email and I'll do what I can to help.

I have two problems:
- I'd like to request a FC-4 branch for athcool on this page →
http://fedoraproject.org/wiki/Extras/CVSSyncNeeded but I don't have rights to
edit this page (my account is DawidGajownik)
- I don't have privileges to request a build:

[y4kk0@X devel]$ pwd
/mnt/storage/y4kk0/CVS/fedora/extras/athcool/devel
[y4kk0@X devel]$ make plague
Enter passphrase for key '/home/y4kk0/.ssh/id_dsa':
/usr/bin/plague-client build athcool athcool-0_3_11-2_fc5 devel
Server returned an error: Insufficient privileges.
[y4kk0@X devel]$

Do I have to wait few days more? (I have access to the CVS server: I was able to
import SRPM and commit small changes).

> And, if you want, I can import your SRPM into CVS before your paperwork 
> is done.

I kept this pleasure to myself :]
Comment 5 Dawid Gajownik 2005-08-18 05:52:53 EDT
Everything went fine: package was built, FC-4 branch was created and owners.list
file was updated.

Once again, thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.